/*
 * File:        users.c
 * Description: Manages the users functionality
 */
 
 
#include <string.h>
#include <stdio.h>
#include <stdlib.h>

#include "users.h"




/*
 * Function:    users_initStruct
 * Description: Contains common functionality when initializing a new user struct
 * Arguments:   user: Upon return, the user struct ready to be filled
 * Returns:     ---
 */
void users_initStruct(tUser * user)
{
	memset(user->name, 0, MAX_USERNAME_LENGTH);
	memset(user->surname, 0, MAX_USERNAME_LENGTH);
	memset(user->dni, 0, MAX_DNI_LENGTH);
	memset(user->login, 0, MAX_LOGIN_LENGTH);
	memset(user->password, 0, MAX_PASSWORD_LENGTH);
	user->nextUser = NULL;
}


