#ifndef _TRIPS_H_
#define _TRIPS_H_

#define MAX_NAME_LENGTH 128

#include "helpers.h"


typedef struct sTrip
{
	char arrival[MAX_NAME_LENGTH];
	char departure[MAX_NAME_LENGTH];
	int availableSeats;
	tDateTime dateTime;
	int identifier;
	struct sTrip * nextTrip;
} tTrip;

tTrip * trips_firstTrip;

// Contains common functionality when initializing a new trip struct
void trips_initStruct(tTrip * trip);

#endif
